<?php
/*
     YankRemoteImage Mediawiki extension. Yank image on remote server.
     See detail http://metabolomics.jp/wiki/Help:Extension/YankRemoteImage
     Last-modified: 2008.10.28
     Version: 0.1

     *********************************************************************

     Copyright (C) 2008-2010 Metabolomics.JP Development Team

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

     *********************************************************************
     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
     URL: http://metabolomics.jp/
*/
 
if ( !defined( 'MEDIAWIKI' ) ) {
	die( 'This file is a MediaWiki extension, see <a href="http://metabolomics.jp/wiki/Help:Extension/YankRemoteImage">YankRemoteImage.php</a>.' );
}
 
require_once( 'YankRemoteImage.body.php' );
$wgAutoloadClasses['YankRemoteImage'] = dirname(__FILE__) . '/YankRemoteImage.body.php';
$wgSpecialPages['YankRemoteImage'] = 'YankRemoteImage';
$wgHooks['LoadAllMessages'][] = 'YankRemoteImage::loadMessages';
$wgHooks['LanguageGetSpecialPageAliases'][] = 'efYankRemoteImageSetup';
$wgHooks['LanguageGetMagic'][] = 'efYankRemoteImageLanguageGetMagic';
$wgHooks['InternalParseBeforeLinks'][] = 'efYankRemoteImageLink';
$wgHooks['ParserBeforeTidy'][] = 'efYankRemoteImageFinish';

$wgExtensionCredits['specialpage'][] = array(
	'name' => 'YankRemoteImage',
	'version' => '0.1',
	'author' => 'K, Suwa',
	'description' => 'yank image on remote server.',
);

function efYankRemoteImageSetup( &$specialPageArray, $code ) {

	YankRemoteImage::loadMessages();
	$text = wfMsg('yankremoteimage');
 
	$specialPageArray['YankRemoteImage'][] = 'YankRemoteImage';
 
	return true;
}

function efYankRemoteImageLanguageGetMagic( &$magicWords, $langCode ) {

	return true;
}
